# © 2022 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from openupgradelib import openupgrade  # pylint: disable=W7936


def res_company_sheet_range_map_values(env):
    openupgrade.map_values(
        env.cr,
        openupgrade.get_legacy_name("closeout_month"),
        "closeout_month",
        [
            (12842, "1"),
            (12843, "2"),
            (12844, "3"),
            (12845, "4"),
            (12846, "5"),
            (12847, "6"),
            (12848, "7"),
            (12849, "8"),
            (12850, "9"),
            (12851, "10"),
            (12852, "11"),
            (12853, "12"),
        ],
        table="res_partner",
    )


@openupgrade.migrate()
def migrate(env, version):
    res_company_sheet_range_map_values(env)
